Subject: Re: Comments on Bill Gropp's comments

From: Robert J Harrison <[email-masked]>
Date: Wed, 06 Jan 93 08:38:45 -0800

At the end of message <[email-masked]> Paul Pierce wrote
> 
> I strongly recommend that we avoid separated info calls. Info can be returned
> through output parameters, although that does annoyingly complicate receive
> calls. Alternatively, info can be associated with handles, but that seriously
> complicates handle management. (Handle management is a good topic for a
> separate discussion.)

I also strongly favour not having separate info calls.  The necessary
information is brief and does not excessively clutter argument lists,
and can always be hidden in a wrapper if it is routinely not required.

Also, by removing sources of ambiguity we give more freedom for
implementation specific optimizations.

> 
> If we decide we must have separated info calls, we should use dynamic context
> semantics.
> 
Yes to this too. 

Robert Harrison.